
# yl_canned_food

## Purpose

This mod is a contentlevel reimplementation of canned_food. yl_canned_food intends to be as extensible as possible.

## Download

Get it from https://gitea.your-land.de/your-land/yl_canned_food

## Dependencies

See [mod.conf](mod.conf)

* [yl_api_nodestages](https://gitea.your-land.de/your-land/yl_api_nodestages)

## Installation

1. Copy the "yl_canned_food" folder to your mod directory.
2. Make sure the [dependencies](#dependencies) are satisfied, if any.
3. Enable the mod in your world.mt file.

## Configuration

```
yl_canned_food.debug = false
```
Set to true to enable debug mode

## Usage

This mod can be used in singleplayer and multiplayer. It comes with the cannod food items, but no crafting recipes. To get those, install the integration mod for your game. The minetest_game integration is here: TODO

### Modmakers

Add to this mod or make your own based on yl_api_nodestages

## Limitations

Although this mod intends to achieve everything and more the canned_food mod brings with it, there is no guarantee it will look and feel entirely the same.

## Alternatives

* [canned_food](https://github.com/h-v-smacker/canned_food)

## Supported versions

If you use yl_canned_food, but something is wrong, please [file a bug](https://gitea.your-land.de/your-land/yl_canned_food/issues/new). PRs also welcome.

There is no reason to believe it doesn't work anywhere, but you never know.

## Allied projects

If you know a project that uses this mod tell us and we will add it to the list.

## Uninstall

Remove it from your mod folder or deactivate it in your world.mt

Mods that depend on it will cease to work, if the mod is removed without proper replacement.

## License

See [LICENSE.md](https://gitea.your-land.de/your-land/yl_canned_food/src/LICENSE.md)

* Code MIT Developername
* Textures CC0 Styxcolor
* Screenshot CC0 Styxcolor

## Thank you

* Original canned_food author: https://github.com/h-v-smacker
* AspireMint